| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | Protected Attributes | Properties | Private Member Functions | Private Attributes | Static Private Attributes

# IG::Forms::FadingMessage Class Reference

Manages a fading message window. Windows containing a message are launched in separate threads, closing after a specified time. More...

Collaboration diagram for IG::Forms::FadingMessage:
[legend]

List of all members.

## Public Member Functions
| FadingMessage (string Message, int ShowTime, double FadingTimePortion)
| FadingMessage (string Message, int ShowTime)
| FadingMessage (string Message)
| FadingMessage ()
| Argument-less constructor, does not launch the window in a parallel thread.
| FadingMessage (string msgtext)
| Shows a fading message in a new thread, with message text equal to mshtext and without a title;.
| FadingMessage (string msgtext, int showtime)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms.
| FadingMessage (string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion.
| FadingMessage (string title, string msgtext)
| Shows the consform in a new thread, with a title and with message text equal to msgtext.
| FadingMessage (string title, string msgtext, int showtime)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms.
| FadingMessage (string title, string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion.
void | CloseForm ()
| Closes the FadeMessage by properly (i.e. thread-safe) calling the Close() and Dispose().
void | ShowThread ()
void | ShowThread (string text)
| Shows a fading message in a new thread, with message text equal to mshtext and without a title;.
void | ShowThread (string msgtext, int showtime)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms.
void | ShowThread (string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion.
void | ShowThread (string title, string text)
| Shows the consform in a new thread, with a title and with message text equal to msgtext.
void | ShowThread (string title, string msgtext, int showtime)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms.
void | ShowThread (string title, string msgtext, int showtime, double fadeportion)
| Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion.
## Static Public Member Functions
static void | Example ()
static void | Example2 ()
## Public Attributes
Color | ForeGroundColorTitle = Color.Blue
| Color of the title (if shown in fading message).
Color | ForeGroundColorMsg = Color.Black
| Color of the message text shown in the fading message.
Color | BackGroundColor = Color.LightYellow
| Active background color of the fading message.
Color | FadeColor = Color.DarkGray
| Final (faded) color of the fading message.
string | MsgTitle = null
bool | IsReady = false
bool | BlockMaxShownCurrent = false
| Indicates to block launching new messges when too many are processed.
## Static Public Attributes
static int | MaxShown = 50
| If false then the consform can not be closed or dispoded.
static bool | BlockMaxShown = false
## Protected Attributes
bool | IsClosable = true
| Returns true if control has been created and is ready to work with.
## Properties
static int | DefaultShowTime`[get, set]`
static double | DefaultFadingTimePortion`[get, set]`
int | ShowTime`[get, set]`
double | FadingTimePortion`[get, set]`
## Private Member Functions
void | basFadingMessage (string Message, int ShowTime, double FadingPortion)
void | ManipulationThreadFunc ()
void | MessageThreadFunc ()
void | baseFadeMessage ()
| Required designer variable.
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
void | FadeMessage_MouseMove (object sender, MouseEventArgs e)
void | FadeMessage_MouseDown (object sender, MouseEventArgs e)
void | ManipulationThreadFunc ()
void | FormThreadFunc ()
| Launches the message.
void | timer1_Tick (object sender, EventArgs e)
void | SetFadeLevel (double fadefactor)
void | SetCommonEvents (Control f)
void | FadeMessage_Load (object sender, System.EventArgs e)
void | FadeMessage_Disposed (object sender, System.EventArgs e)
void | FadeMessage_FormClosing (object sender, FormClosingEventArgs e)
void | CancelBtn_Click (object sender, EventArgs e)
void | FadeMessage_MouseClick (object sender, MouseEventArgs e)
void | PnlStatus_Paint (object sender, PaintEventArgs e)
## Private Attributes
string | text
int | showtime
double | fadingportion
Thread | msgthread = null
Thread | manipulationthread = null
string | MsgText = null
bool | Counted = false
| Instructs just for the current index to block launching the messge when too many are processed.
System.Windows.Forms.Timer | timer1
Button | btnCancel
Label | lblStatus
Panel | BodyPnl
Label | lblMEssage
Label | lblTitle
Panel | PnlStatus
Label | labelBottom
IContainer | components
int | m_PrevX
int | m_PrevY
int | vShowTime = defaultShowtime
double | vFadingTimePortion = defaultFadingTimePortion
Thread | formthread = null
int | mintickinterval = 40
int | maxticks = 50
int | numticks = 0
int | totalticks = 20
int | firsttick = 1000
int | tickinterval = 100
double | fadingfactor = 0
## Static Private Attributes
static int | defaultShowtime = 3000
static double | defaultFadingTimePortion = 0.3
static int | NumShown = 0
| Indicates how many messages can be shown simultaneously.

## Detailed Description

Manages a fading message window. Windows containing a message are launched in separate threads, closing after a specified time.

$A Igor jul08;

## Constructor & Destructor Documentation

IG::Forms::FadingMessage::FadingMessage | ( | string | Message,
|  | int | ShowTime,
|  | double | FadingTimePortion
| ) |  | `[inline]`

IG::Forms::FadingMessage::FadingMessage | ( | string | Message,
|  | int | ShowTime
| ) |  | `[inline]`

IG::Forms::FadingMessage::FadingMessage | ( | string | Message | ) | `[inline]`

IG::Forms::FadingMessage::FadingMessage | ( |  | ) | `[inline]`

Argument-less constructor, does not launch the window in a parallel thread.

IG::Forms::FadingMessage::FadingMessage | ( | string | msgtext | ) | `[inline]`

Shows a fading message in a new thread, with message text equal to mshtext and without a title;.

IG::Forms::FadingMessage::FadingMessage | ( | string | msgtext,
|  | int | showtime
| ) |  | `[inline]`

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms.

IG::Forms::FadingMessage::FadingMessage | ( | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  | `[inline]`

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion.

IG::Forms::FadingMessage::FadingMessage | ( | string | title,
|  | string | msgtext
| ) |  | `[inline]`

Shows the consform in a new thread, with a title and with message text equal to msgtext.

IG::Forms::FadingMessage::FadingMessage | ( | string | title,
|  | string | msgtext,
|  | int | showtime
| ) |  | `[inline]`

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms.

IG::Forms::FadingMessage::FadingMessage | ( | string | title,
|  | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  | `[inline]`

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion.

## Member Function Documentation

void IG::Forms::FadingMessage::basFadingMessage | ( | string | Message,
|  | int | ShowTime,
|  | double | FadingPortion
| ) |  | `[inline, private]`

void IG::Forms::FadingMessage::ManipulationThreadFunc | ( |  | ) | `[inline, private]`

void IG::Forms::FadingMessage::MessageThreadFunc | ( |  | ) | `[inline, private]`

void IG::Forms::FadingMessage::baseFadeMessage | ( |  | ) | `[inline, private]`

Required designer variable.

void IG::Forms::FadingMessage::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

void IG::Forms::FadingMessage::FadeMessage_MouseMove | ( | object | sender,
|  | MouseEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::FadingMessage::FadeMessage_MouseDown | ( | object | sender,
|  | MouseEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::FadingMessage::ManipulationThreadFunc | ( |  | ) | `[inline, private]`

void IG::Forms::FadingMessage::FormThreadFunc | ( |  | ) | `[inline, private]`

Launches the message.

void IG::Forms::FadingMessage::timer1_Tick | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::FadingMessage::SetFadeLevel | ( | double | fadefactor | ) | `[inline, private]`

void IG::Forms::FadingMessage::SetCommonEvents | ( | Control | f | ) | `[inline, private]`

void IG::Forms::FadingMessage::FadeMessage_Load | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::FadingMessage::FadeMessage_Disposed | ( | object | sender,
|  | System.EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::FadingMessage::FadeMessage_FormClosing | ( | object | sender,
|  | FormClosingEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::FadingMessage::CancelBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::FadingMessage::CloseForm | ( |  | ) | `[inline]`

Closes the FadeMessage by properly (i.e. thread-safe) calling the Close() and Dispose().

void IG::Forms::FadingMessage::ShowThread | ( |  | ) | `[inline]`

Shows a fading message in a new thread. It first launches a new thread that launches the thread managing the consform.

void IG::Forms::FadingMessage::ShowThread | ( | string | text | ) | `[inline]`

Shows a fading message in a new thread, with message text equal to mshtext and without a title;.

void IG::Forms::FadingMessage::ShowThread | ( | string | msgtext,
|  | int | showtime
| ) |  | `[inline]`

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms.

void IG::Forms::FadingMessage::ShowThread | ( | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  | `[inline]`

Shows a fading message in a new thread, with message text equal to msgtext and with specified showing time in ms and fading time portion.

void IG::Forms::FadingMessage::ShowThread | ( | string | title,
|  | string | text
| ) |  | `[inline]`

Shows the consform in a new thread, with a title and with message text equal to msgtext.

void IG::Forms::FadingMessage::ShowThread | ( | string | title,
|  | string | msgtext,
|  | int | showtime
| ) |  | `[inline]`

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms.

void IG::Forms::FadingMessage::ShowThread | ( | string | title,
|  | string | msgtext,
|  | int | showtime,
|  | double | fadeportion
| ) |  | `[inline]`

Shows a fading message in a new thread, with a title and with message text equal to msgtext, with specified showing time in ms and fading time portion.

void IG::Forms::FadingMessage::FadeMessage_MouseClick | ( | object | sender,
|  | MouseEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::FadingMessage::PnlStatus_Paint | ( | object | sender,
|  | PaintEventArgs | e
| ) |  | `[inline, private]`

static void IG::Forms::FadingMessage::Example | ( |  | ) | `[inline, static]`

static void IG::Forms::FadingMessage::Example2 | ( |  | ) | `[inline, static]`

## Member Data Documentation

string IG::Forms::FadingMessage::text`[private]`

int IG::Forms::FadingMessage::showtime`[private]`

double IG::Forms::FadingMessage::fadingportion`[private]`

Thread IG::Forms::FadingMessage::msgthread = null`[private]`

Thread IG::Forms::FadingMessage::manipulationthread = null`[private]`

static int IG::Forms::FadingMessage::defaultShowtime = 3000`[static, private]`

static double IG::Forms::FadingMessage::defaultFadingTimePortion = 0.3`[static, private]`

Color IG::Forms::FadingMessage::ForeGroundColorTitle = Color.Blue

Color of the title (if shown in fading message).

Color IG::Forms::FadingMessage::ForeGroundColorMsg = Color.Black

Color of the message text shown in the fading message.

Color IG::Forms::FadingMessage::BackGroundColor = Color.LightYellow

Active background color of the fading message.

Color IG::Forms::FadingMessage::FadeColor = Color.DarkGray

Final (faded) color of the fading message.

string IG::Forms::FadingMessage::MsgTitle = null

string IG::Forms::FadingMessage::MsgText = null`[private]`

bool IG::Forms::FadingMessage::IsReady = false

bool IG::Forms::FadingMessage::IsClosable = true`[protected]`

Returns true if control has been created and is ready to work with.

int IG::Forms::FadingMessage::MaxShown = 50`[static]`

If false then the consform can not be closed or dispoded.

int IG::Forms::FadingMessage::NumShown = 0`[static, private]`

Indicates how many messages can be shown simultaneously.

bool IG::Forms::FadingMessage::BlockMaxShown = false`[static]`

bool IG::Forms::FadingMessage::BlockMaxShownCurrent = false

Indicates to block launching new messges when too many are processed.

bool IG::Forms::FadingMessage::Counted = false`[private]`

Instructs just for the current index to block launching the messge when too many are processed.

System.Windows.Forms.Timer IG::Forms::FadingMessage::timer1`[private]`

Button IG::Forms::FadingMessage::btnCancel`[private]`

Label IG::Forms::FadingMessage::lblStatus`[private]`

Panel IG::Forms::FadingMessage::BodyPnl`[private]`

Label IG::Forms::FadingMessage::lblMEssage`[private]`

Label IG::Forms::FadingMessage::lblTitle`[private]`

Panel IG::Forms::FadingMessage::PnlStatus`[private]`

Label IG::Forms::FadingMessage::labelBottom`[private]`

IContainer IG::Forms::FadingMessage::components`[private]`

int IG::Forms::FadingMessage::m_PrevX`[private]`

int IG::Forms::FadingMessage::m_PrevY`[private]`

int IG::Forms::FadingMessage::vShowTime = defaultShowtime`[private]`

double IG::Forms::FadingMessage::vFadingTimePortion = defaultFadingTimePortion`[private]`

Thread IG::Forms::FadingMessage::formthread = null`[private]`

int IG::Forms::FadingMessage::mintickinterval = 40`[private]`

int IG::Forms::FadingMessage::maxticks = 50`[private]`

int IG::Forms::FadingMessage::numticks = 0`[private]`

int IG::Forms::FadingMessage::totalticks = 20`[private]`

int IG::Forms::FadingMessage::firsttick = 1000`[private]`

int IG::Forms::FadingMessage::tickinterval = 100`[private]`

double IG::Forms::FadingMessage::fadingfactor = 0`[private]`

## Property Documentation

int IG::Forms::FadingMessage::DefaultShowTime`[static, get, set]`

double IG::Forms::FadingMessage::DefaultFadingTimePortion`[static, get, set]`

int IG::Forms::FadingMessage::ShowTime`[get, set]`

double IG::Forms::FadingMessage::FadingTimePortion`[get, set]`

The documentation for this class was generated from the following files:

- 00copy/xmltreeview.cs
- message_fade.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events